%define req_loudmouth_version 0.17

Summary: GNOME Jabber client
Name: gossip
Version: 0.8
Release: 3mdk
License: GPL
Group: Networking/Instant messaging
URL: http://www.imendio.com/projects/gossip/
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: loudmouth-devel >= %{req_loudmouth_version}
BuildRequires: libgnomeui2-devel
BuildRequires: libxslt-devel
BuildRequires: libglade2.0-devel
BuildRequires: perl-XML-Parser
Prereq:	GConf2 >= 2.3.3

%description
Gossip aims at making Jabber easy to use and tries to give GNOME users a
real user friendly way of chatting with their friends.

%prep
%setup -q

%build

# dbus support is experimental
%configure2_5x --disable-dbus

%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std

%find_lang %{name}

mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): \
	command="%{_bindir}/%{name}"\
	needs="X11"\
	section="Internet/Instant Messaging"\
	icon="%{_datadir}/pixmaps/gossip.png"\
	title="Gossip"\
	longtitle="Jabber Instant Messaging" \
	startup_notify="true"
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/gossip.schemas > /dev/null
%{update_menus}

%preun
if [ "$1" = "0" ]; then 
GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source` gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/gossip.schemas > /dev/null
fi

%postun
%{clean_menus}

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README ChangeLog AUTHORS
%{_sysconfdir}/gconf/schemas/*
%{_bindir}/*
%{_datadir}/applications/*
%{_datadir}/gossip
%{_menudir}/*
%{_datadir}/pixmaps/*


%changelog
* Wed Mar 02 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8-3mdk 
- Don't own /usr/share/applications

* Wed Jan 05 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8-2mdk 
- Rebuild with latest howl

* Tue Dec 28 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8-1mdk
- New release 0.8

* Fri Sep  3 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7.8-1mdk
- New release 0.7.8

* Sun Aug 29 2004 Jerome Soyer <saispo@mandrake.org> 0.7.7-3mdk
- Fix BuildRequires

* Fri Aug 27 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7.7-2mdk
- Really fix menu

* Fri Aug 27 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7.7-1mdk
- New release 0.7.7
- Fix menu

* Sat Aug 21 2004 Jerome Soyer wsaispo@mandrake.org> 0.7.6-2mdk
- fix menu entry

* Thu Jun 24 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7.6-1mdk
- New release 0.7.6
- Enable libtoolize

* Wed Apr 28 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7.5-1mdk
- New release 0.7.5

* Wed Apr 21 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7.4-2mdk
- Rebuild against latest gnutls/loudmouth

* Fri Apr 02 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7.4-1mdk
- Release 0.7.4

* Wed Feb 11 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7.2-1mdk
- Release 0.7.2

* Thu Jan 22 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7.1-1mdk
- Release 0.7.1

* Sat Dec 27 2003 Abel Cheung <deaddog@deaddog.org> 0.6-2mdk
- Rebuild against new gnutls

* Tue Nov 18 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.6-1mdk
- Release 0.6

* Tue Aug 19 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.5-1mdk
- Release 0.5

* Thu Aug  7 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4-2mdk
- Rebuild with latest loudmouth

* Fri Jul 18 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.4-1mdk
- Release 0.4

* Fri Jul 11 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.3-1mdk
- First Mandrake package


